<!-- 发送验证码 -->
<template>
  <div>

      <div class="no_btn" v-show="num>0">{{num}}s重新获取</div>
       <div class="has_btn" @click="handelClick" v-show="num<=0">获取验证码</div>
  </div>
</template>

<script>
export default {
  props:{
    second:{default:60 }
  },
  data () {
    return {
      num:0,
      time:null
    }
  },
  methods:{
    begin(){
      this.num = this.second
       this.time&&clearInterval(this.time)
      this.time = setInterval(()=>{
        if(this.num>=0){
           this.num--
        }else{
          clearInterval(this.time)
          this.time = null
        }
      },1000)  
    },
    handelClick(){
      this.$emit('handelClick')
    }
  }
}

</script>
<style lang='scss' scoped>
.no_btn{
   width: 2rem; 
   height: 0.7rem;
   line-height: 0.7rem;
   background-color: #c0c5c9;
   border-radius: 4px;
   text-align: center;
   font-size: 0.32rem;
   color: #ffffff;
}
.has_btn{
   width: 2rem; 
   height: 0.7rem;
   line-height: 0.7rem;
   background-color: #4C80C1;
   border-radius: 4px;
   text-align: center;
   font-size: 0.32rem;
   color: #ffffff;

}
</style>